﻿/*
 * Created by SharpDevelop.
 * User: Maciek
 * Date: 2015-07-01
 * Time: 19:07
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using NUnit.Framework;
using OpenQA.Selenium;
using OpenQA.Selenium.Firefox;
using OpenQA.Selenium.Support.PageObjects;

namespace TrzeciaSolucja
{
	[TestFixture]
	public class DragAndDropTest
	{
		private IWebDriver driver;
        private string baseURL;
        
		[SetUp]
        public void SetupTest()
        {
            driver = new FirefoxDriver();
            baseURL = "http://www.dhtmlgoodies.com/scripts/drag-drop-custom/demo-drag-drop-3.html";
            driver.Navigate().GoToUrl(baseURL);
        }
        
        [Test]
        public void TestDragAndDrop()
		{
        	DragAndDrop dad = new DragAndDrop(driver);
        	PageFactory.InitElements(driver, dad);
        	dad.PrzeniesStolice();
		}

		[TearDown]
        public void TeardownTest()
        {
            try
            {
                driver.Quit();
            }
            catch (Exception)
            {
                // Ignore errors if unable to close the browser
            }
        }
	}
}
